Get tracked keywords in tracking list
Get the full rank detail for a single tracked keyword in a tracking.
The response includes:
- ranking URLs split across organic, Map Pack and Featured Snippet, each with per-day rank, visual metrics and estimated visits
- daily rank series across the requested
from/towindow, including Map Pack and Featured Snippet ranks - current and previous search volume
- SERP snapshot preview link (when a recent snapshot is available)
- assigned tags, last-check and created timestamps
Shared access
Supports a read-only share_token query parameter for share-link access.
Authorization
ApiKeyAuth x-access-token<token>
API token issued for your Mangools account, sent as an API key in the x-access-token HTTP header. This is NOT a standard RFC 6750 Authorization: Bearer <token> header. Auto-generated clients should be configured to send the token in x-access-token accordingly.
In: header
Path Parameters
tracking_id*string
tracking_id
tracked_keyword_id*string
tracked_keyword_id
Query Parameters
from?string
Filter from date
to?string
Filter to date
share_token?string
share_token
Response Body
application/json
application/json
application/json
curl -X GET "https://api.mangools.com/v3/serpwatcher/trackings/string/tracked-keywords/string"{
"keyword_id": "string",
"tracking_id": "string",
"user_id": "string",
"kw": "string",
"location_id": "string",
"platform_id": "string"
}{
"error": {
"type": "AuthError",
"message": "Invalid API Key"
}
}{
"error": {
"type": "Error",
"message": "Tag not found"
}
}